summaryrefslogtreecommitdiffstats
path: root/system/afuse
diff options
context:
space:
mode:
author Evandro Alves Rodrigues <evandrofisico@gmail.com>2010-05-13 01:00:39 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 01:00:39 +0200
commit0bb906e91bc208579bcfdaace96296f5afaf37f7 (patch)
tree729bc2e6ee297df8ff145393d7d88837a08a5ee5 /system/afuse
parenteb04222ae572609e18be1fd57ad8bde786819348 (diff)
downloadslackbuilds-0bb906e91bc208579bcfdaace96296f5afaf37f7.tar.gz
slackbuilds-0bb906e91bc208579bcfdaace96296f5afaf37f7.tar.xz
system/afuse: Added to 13.0 repository
Diffstat (limited to 'system/afuse')
-rw-r--r--system/afuse/README8
-rw-r--r--system/afuse/afuse.SlackBuild69
-rw-r--r--system/afuse/afuse.info10
-rw-r--r--system/afuse/slack-desc19
4 files changed, 106 insertions, 0 deletions
diff --git a/system/afuse/README b/system/afuse/README
new file mode 100644
index 0000000000..d6a2233429
--- /dev/null
+++ b/system/afuse/README
@@ -0,0 +1,8 @@
+Afuse is an automounting file system implemented in user-space using
+FUSE. Afuse currently implements the most basic functionality that can
+be expected by an automounter; that is it manages a directory of virtual
+directories. If one of these virtual directories is accessed and is not
+already automounted, afuse will attempt to mount a filesystem onto that
+directory. If the mount succeeds the requested access proceeds as normal,
+otherwise it will fail with an error.
+
diff --git a/system/afuse/afuse.SlackBuild b/system/afuse/afuse.SlackBuild
new file mode 100644
index 0000000000..70b495e9ee
--- /dev/null
+++ b/system/afuse/afuse.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# slackware build script for afuse
+# Written Evandro Alves Rodrigues evandrofisico@gmail.com
+#
+
+PRGNAM=afuse
+VERSION=0.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAG="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/afuse/afuse.info b/system/afuse/afuse.info
new file mode 100644
index 0000000000..1595c7a9e4
--- /dev/null
+++ b/system/afuse/afuse.info
@@ -0,0 +1,10 @@
+PRGNAM="afuse"
+VERSION="0.2"
+HOMEPAGE="http://afuse.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/afuse/afuse/0.2/afuse-0.2.tar.gz"
+DOWNLOAD_x86_64=""
+MD5SUM="97b58a768ecb30696fb6c33dd8435b83"
+MD5SUM_x86_64=""
+MAINTAINER="Evandro Alves Rodrigues"
+EMAIL="evandrofisico@gmail.com"
+APPROVED="dsomero"
diff --git a/system/afuse/slack-desc b/system/afuse/slack-desc
new file mode 100644
index 0000000000..0a86793c89
--- /dev/null
+++ b/system/afuse/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------|
+afuse: afuse (automounter for FUSE)
+afuse:
+afuse: Afuse is a FUSE based filesystem which implements filesystem
+afuse: automounting functionality similar to Linux's autofs.
+afuse:
+afuse:
+afuse:
+afuse:
+afuse:
+afuse:
+afuse: